Page MenuHomePhabricator

Regression: Add to collection dialog does not show all collections
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Make sure you have more than 50 collections.
  2. Visit a page (say, /wiki/1) and click on the watchstar icon.
  3. Scroll the list of collections (under the title 'Add to existing collection') in the dialog that appears.
  4. You'll only see 50 collections.

Expected:

  1. You should be able to load and see other collections (via infinite scroll).

Event Timeline

bmansurov raised the priority of this task from to Needs Triage.
bmansurov updated the task description. (Show Details)
bmansurov added a project: Readers-Web-Backlog.
bmansurov added a subscriber: bmansurov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2015, 10:31 AM

@bmansurov: Is this about the Gather code project? If so please add it so people can find this bug when looking for bugs in Gather.

bmansurov set Security to None.
KLans_WMF triaged this task as Medium priority.Jun 29 2015, 5:11 PM
Jdlrobson renamed this task from Add to collection dialog does not show all collections to Regression: Add to collection dialog does not show all collections.Jul 1 2015, 12:27 AM
Jdlrobson added a subscriber: Jdlrobson.

There should be a more link.
A casual glance shows the more link is enabled when resp.continueArgs is present in getCurrentUsersCollections so I suspect pagination changes may have broken it and we missed it.

Jdlrobson claimed this task.Jul 1 2015, 9:23 PM
Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-50-The-X-Files board.

Change 222196 had a related patch set uploaded (by Jdlrobson):
Allow user to add to more than 50 collections from page

https://gerrit.wikimedia.org/r/222196

Change 222196 merged by jenkins-bot:
Allow user to add to more than 50 collections from page

https://gerrit.wikimedia.org/r/222196

phuedx added a subscriber: phuedx.Jul 3 2015, 12:50 PM

Verified on BC.

I noticed a bug in the associated browser tests, which I've fixed here: https://gerrit.wikimedia.org/r/#/c/222578/

phuedx closed this task as Resolved.Jul 3 2015, 12:50 PM
phuedx moved this task from Ready for Signoff to Done on the Reading-Web-Sprint-50-The-X-Files board.